Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network187.131.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
187.131.0.0
Broadcast address
187.131.255.255
First usable
187.131.0.1
Last usable
187.131.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex BB830000 · Integer 3145924608 to 3145990143
Reverse DNS zone
131.187.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10111011.10000011..00000000.00000000187.131.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10111011.10000011..00000000.00000000187.131.0.0
Broadcast10111011.10000011..11111111.11111111187.131.255.255
Split into smaller subnets/25

187.131.0.0/16 makes 512 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1187.131.0.0/25187.131.0.1 to 187.131.0.126187.131.0.127126
2187.131.0.128/25187.131.0.129 to 187.131.0.254187.131.0.255126
3187.131.1.0/25187.131.1.1 to 187.131.1.126187.131.1.127126
4187.131.1.128/25187.131.1.129 to 187.131.1.254187.131.1.255126
5187.131.2.0/25187.131.2.1 to 187.131.2.126187.131.2.127126
6187.131.2.128/25187.131.2.129 to 187.131.2.254187.131.2.255126
7187.131.3.0/25187.131.3.1 to 187.131.3.126187.131.3.127126
8187.131.3.128/25187.131.3.129 to 187.131.3.254187.131.3.255126
9187.131.4.0/25187.131.4.1 to 187.131.4.126187.131.4.127126
10187.131.4.128/25187.131.4.129 to 187.131.4.254187.131.4.255126
11187.131.5.0/25187.131.5.1 to 187.131.5.126187.131.5.127126
12187.131.5.128/25187.131.5.129 to 187.131.5.254187.131.5.255126
13187.131.6.0/25187.131.6.1 to 187.131.6.126187.131.6.127126
14187.131.6.128/25187.131.6.129 to 187.131.6.254187.131.6.255126
15187.131.7.0/25187.131.7.1 to 187.131.7.126187.131.7.127126
16187.131.7.128/25187.131.7.129 to 187.131.7.254187.131.7.255126
17187.131.8.0/25187.131.8.1 to 187.131.8.126187.131.8.127126
18187.131.8.128/25187.131.8.129 to 187.131.8.254187.131.8.255126
19187.131.9.0/25187.131.9.1 to 187.131.9.126187.131.9.127126
20187.131.9.128/25187.131.9.129 to 187.131.9.254187.131.9.255126
21187.131.10.0/25187.131.10.1 to 187.131.10.126187.131.10.127126
22187.131.10.128/25187.131.10.129 to 187.131.10.254187.131.10.255126
23187.131.11.0/25187.131.11.1 to 187.131.11.126187.131.11.127126
24187.131.11.128/25187.131.11.129 to 187.131.11.254187.131.11.255126
25187.131.12.0/25187.131.12.1 to 187.131.12.126187.131.12.127126
26187.131.12.128/25187.131.12.129 to 187.131.12.254187.131.12.255126
27187.131.13.0/25187.131.13.1 to 187.131.13.126187.131.13.127126
28187.131.13.128/25187.131.13.129 to 187.131.13.254187.131.13.255126
29187.131.14.0/25187.131.14.1 to 187.131.14.126187.131.14.127126
30187.131.14.128/25187.131.14.129 to 187.131.14.254187.131.14.255126
31187.131.15.0/25187.131.15.1 to 187.131.15.126187.131.15.127126
32187.131.15.128/25187.131.15.129 to 187.131.15.254187.131.15.255126
33187.131.16.0/25187.131.16.1 to 187.131.16.126187.131.16.127126
34187.131.16.128/25187.131.16.129 to 187.131.16.254187.131.16.255126
35187.131.17.0/25187.131.17.1 to 187.131.17.126187.131.17.127126
36187.131.17.128/25187.131.17.129 to 187.131.17.254187.131.17.255126
37187.131.18.0/25187.131.18.1 to 187.131.18.126187.131.18.127126
38187.131.18.128/25187.131.18.129 to 187.131.18.254187.131.18.255126
39187.131.19.0/25187.131.19.1 to 187.131.19.126187.131.19.127126
40187.131.19.128/25187.131.19.129 to 187.131.19.254187.131.19.255126
41187.131.20.0/25187.131.20.1 to 187.131.20.126187.131.20.127126
42187.131.20.128/25187.131.20.129 to 187.131.20.254187.131.20.255126
43187.131.21.0/25187.131.21.1 to 187.131.21.126187.131.21.127126
44187.131.21.128/25187.131.21.129 to 187.131.21.254187.131.21.255126
45187.131.22.0/25187.131.22.1 to 187.131.22.126187.131.22.127126
46187.131.22.128/25187.131.22.129 to 187.131.22.254187.131.22.255126
47187.131.23.0/25187.131.23.1 to 187.131.23.126187.131.23.127126
48187.131.23.128/25187.131.23.129 to 187.131.23.254187.131.23.255126
49187.131.24.0/25187.131.24.1 to 187.131.24.126187.131.24.127126
50187.131.24.128/25187.131.24.129 to 187.131.24.254187.131.24.255126
51187.131.25.0/25187.131.25.1 to 187.131.25.126187.131.25.127126
52187.131.25.128/25187.131.25.129 to 187.131.25.254187.131.25.255126
53187.131.26.0/25187.131.26.1 to 187.131.26.126187.131.26.127126
54187.131.26.128/25187.131.26.129 to 187.131.26.254187.131.26.255126
55187.131.27.0/25187.131.27.1 to 187.131.27.126187.131.27.127126
56187.131.27.128/25187.131.27.129 to 187.131.27.254187.131.27.255126
57187.131.28.0/25187.131.28.1 to 187.131.28.126187.131.28.127126
58187.131.28.128/25187.131.28.129 to 187.131.28.254187.131.28.255126
59187.131.29.0/25187.131.29.1 to 187.131.29.126187.131.29.127126
60187.131.29.128/25187.131.29.129 to 187.131.29.254187.131.29.255126
61187.131.30.0/25187.131.30.1 to 187.131.30.126187.131.30.127126
62187.131.30.128/25187.131.30.129 to 187.131.30.254187.131.30.255126
63187.131.31.0/25187.131.31.1 to 187.131.31.126187.131.31.127126
64187.131.31.128/25187.131.31.129 to 187.131.31.254187.131.31.255126
65187.131.32.0/25187.131.32.1 to 187.131.32.126187.131.32.127126
66187.131.32.128/25187.131.32.129 to 187.131.32.254187.131.32.255126
67187.131.33.0/25187.131.33.1 to 187.131.33.126187.131.33.127126
68187.131.33.128/25187.131.33.129 to 187.131.33.254187.131.33.255126
69187.131.34.0/25187.131.34.1 to 187.131.34.126187.131.34.127126
70187.131.34.128/25187.131.34.129 to 187.131.34.254187.131.34.255126
71187.131.35.0/25187.131.35.1 to 187.131.35.126187.131.35.127126
72187.131.35.128/25187.131.35.129 to 187.131.35.254187.131.35.255126
73187.131.36.0/25187.131.36.1 to 187.131.36.126187.131.36.127126
74187.131.36.128/25187.131.36.129 to 187.131.36.254187.131.36.255126
75187.131.37.0/25187.131.37.1 to 187.131.37.126187.131.37.127126
76187.131.37.128/25187.131.37.129 to 187.131.37.254187.131.37.255126
77187.131.38.0/25187.131.38.1 to 187.131.38.126187.131.38.127126
78187.131.38.128/25187.131.38.129 to 187.131.38.254187.131.38.255126
79187.131.39.0/25187.131.39.1 to 187.131.39.126187.131.39.127126
80187.131.39.128/25187.131.39.129 to 187.131.39.254187.131.39.255126
81187.131.40.0/25187.131.40.1 to 187.131.40.126187.131.40.127126
82187.131.40.128/25187.131.40.129 to 187.131.40.254187.131.40.255126
83187.131.41.0/25187.131.41.1 to 187.131.41.126187.131.41.127126
84187.131.41.128/25187.131.41.129 to 187.131.41.254187.131.41.255126
85187.131.42.0/25187.131.42.1 to 187.131.42.126187.131.42.127126
86187.131.42.128/25187.131.42.129 to 187.131.42.254187.131.42.255126
87187.131.43.0/25187.131.43.1 to 187.131.43.126187.131.43.127126
88187.131.43.128/25187.131.43.129 to 187.131.43.254187.131.43.255126
89187.131.44.0/25187.131.44.1 to 187.131.44.126187.131.44.127126
90187.131.44.128/25187.131.44.129 to 187.131.44.254187.131.44.255126
91187.131.45.0/25187.131.45.1 to 187.131.45.126187.131.45.127126
92187.131.45.128/25187.131.45.129 to 187.131.45.254187.131.45.255126
93187.131.46.0/25187.131.46.1 to 187.131.46.126187.131.46.127126
94187.131.46.128/25187.131.46.129 to 187.131.46.254187.131.46.255126
95187.131.47.0/25187.131.47.1 to 187.131.47.126187.131.47.127126
96187.131.47.128/25187.131.47.129 to 187.131.47.254187.131.47.255126
97187.131.48.0/25187.131.48.1 to 187.131.48.126187.131.48.127126
98187.131.48.128/25187.131.48.129 to 187.131.48.254187.131.48.255126
99187.131.49.0/25187.131.49.1 to 187.131.49.126187.131.49.127126
100187.131.49.128/25187.131.49.129 to 187.131.49.254187.131.49.255126
101187.131.50.0/25187.131.50.1 to 187.131.50.126187.131.50.127126
102187.131.50.128/25187.131.50.129 to 187.131.50.254187.131.50.255126
103187.131.51.0/25187.131.51.1 to 187.131.51.126187.131.51.127126
104187.131.51.128/25187.131.51.129 to 187.131.51.254187.131.51.255126
105187.131.52.0/25187.131.52.1 to 187.131.52.126187.131.52.127126
106187.131.52.128/25187.131.52.129 to 187.131.52.254187.131.52.255126
107187.131.53.0/25187.131.53.1 to 187.131.53.126187.131.53.127126
108187.131.53.128/25187.131.53.129 to 187.131.53.254187.131.53.255126
109187.131.54.0/25187.131.54.1 to 187.131.54.126187.131.54.127126
110187.131.54.128/25187.131.54.129 to 187.131.54.254187.131.54.255126
111187.131.55.0/25187.131.55.1 to 187.131.55.126187.131.55.127126
112187.131.55.128/25187.131.55.129 to 187.131.55.254187.131.55.255126
113187.131.56.0/25187.131.56.1 to 187.131.56.126187.131.56.127126
114187.131.56.128/25187.131.56.129 to 187.131.56.254187.131.56.255126
115187.131.57.0/25187.131.57.1 to 187.131.57.126187.131.57.127126
116187.131.57.128/25187.131.57.129 to 187.131.57.254187.131.57.255126
117187.131.58.0/25187.131.58.1 to 187.131.58.126187.131.58.127126
118187.131.58.128/25187.131.58.129 to 187.131.58.254187.131.58.255126
119187.131.59.0/25187.131.59.1 to 187.131.59.126187.131.59.127126
120187.131.59.128/25187.131.59.129 to 187.131.59.254187.131.59.255126
121187.131.60.0/25187.131.60.1 to 187.131.60.126187.131.60.127126
122187.131.60.128/25187.131.60.129 to 187.131.60.254187.131.60.255126
123187.131.61.0/25187.131.61.1 to 187.131.61.126187.131.61.127126
124187.131.61.128/25187.131.61.129 to 187.131.61.254187.131.61.255126
125187.131.62.0/25187.131.62.1 to 187.131.62.126187.131.62.127126
126187.131.62.128/25187.131.62.129 to 187.131.62.254187.131.62.255126
127187.131.63.0/25187.131.63.1 to 187.131.63.126187.131.63.127126
128187.131.63.128/25187.131.63.129 to 187.131.63.254187.131.63.255126
129187.131.64.0/25187.131.64.1 to 187.131.64.126187.131.64.127126
130187.131.64.128/25187.131.64.129 to 187.131.64.254187.131.64.255126
131187.131.65.0/25187.131.65.1 to 187.131.65.126187.131.65.127126
132187.131.65.128/25187.131.65.129 to 187.131.65.254187.131.65.255126
133187.131.66.0/25187.131.66.1 to 187.131.66.126187.131.66.127126
134187.131.66.128/25187.131.66.129 to 187.131.66.254187.131.66.255126
135187.131.67.0/25187.131.67.1 to 187.131.67.126187.131.67.127126
136187.131.67.128/25187.131.67.129 to 187.131.67.254187.131.67.255126
137187.131.68.0/25187.131.68.1 to 187.131.68.126187.131.68.127126
138187.131.68.128/25187.131.68.129 to 187.131.68.254187.131.68.255126
139187.131.69.0/25187.131.69.1 to 187.131.69.126187.131.69.127126
140187.131.69.128/25187.131.69.129 to 187.131.69.254187.131.69.255126
141187.131.70.0/25187.131.70.1 to 187.131.70.126187.131.70.127126
142187.131.70.128/25187.131.70.129 to 187.131.70.254187.131.70.255126
143187.131.71.0/25187.131.71.1 to 187.131.71.126187.131.71.127126
144187.131.71.128/25187.131.71.129 to 187.131.71.254187.131.71.255126
145187.131.72.0/25187.131.72.1 to 187.131.72.126187.131.72.127126
146187.131.72.128/25187.131.72.129 to 187.131.72.254187.131.72.255126
147187.131.73.0/25187.131.73.1 to 187.131.73.126187.131.73.127126
148187.131.73.128/25187.131.73.129 to 187.131.73.254187.131.73.255126
149187.131.74.0/25187.131.74.1 to 187.131.74.126187.131.74.127126
150187.131.74.128/25187.131.74.129 to 187.131.74.254187.131.74.255126
151187.131.75.0/25187.131.75.1 to 187.131.75.126187.131.75.127126
152187.131.75.128/25187.131.75.129 to 187.131.75.254187.131.75.255126
153187.131.76.0/25187.131.76.1 to 187.131.76.126187.131.76.127126
154187.131.76.128/25187.131.76.129 to 187.131.76.254187.131.76.255126
155187.131.77.0/25187.131.77.1 to 187.131.77.126187.131.77.127126
156187.131.77.128/25187.131.77.129 to 187.131.77.254187.131.77.255126
157187.131.78.0/25187.131.78.1 to 187.131.78.126187.131.78.127126
158187.131.78.128/25187.131.78.129 to 187.131.78.254187.131.78.255126
159187.131.79.0/25187.131.79.1 to 187.131.79.126187.131.79.127126
160187.131.79.128/25187.131.79.129 to 187.131.79.254187.131.79.255126
161187.131.80.0/25187.131.80.1 to 187.131.80.126187.131.80.127126
162187.131.80.128/25187.131.80.129 to 187.131.80.254187.131.80.255126
163187.131.81.0/25187.131.81.1 to 187.131.81.126187.131.81.127126
164187.131.81.128/25187.131.81.129 to 187.131.81.254187.131.81.255126
165187.131.82.0/25187.131.82.1 to 187.131.82.126187.131.82.127126
166187.131.82.128/25187.131.82.129 to 187.131.82.254187.131.82.255126
167187.131.83.0/25187.131.83.1 to 187.131.83.126187.131.83.127126
168187.131.83.128/25187.131.83.129 to 187.131.83.254187.131.83.255126
169187.131.84.0/25187.131.84.1 to 187.131.84.126187.131.84.127126
170187.131.84.128/25187.131.84.129 to 187.131.84.254187.131.84.255126
171187.131.85.0/25187.131.85.1 to 187.131.85.126187.131.85.127126
172187.131.85.128/25187.131.85.129 to 187.131.85.254187.131.85.255126
173187.131.86.0/25187.131.86.1 to 187.131.86.126187.131.86.127126
174187.131.86.128/25187.131.86.129 to 187.131.86.254187.131.86.255126
175187.131.87.0/25187.131.87.1 to 187.131.87.126187.131.87.127126
176187.131.87.128/25187.131.87.129 to 187.131.87.254187.131.87.255126
177187.131.88.0/25187.131.88.1 to 187.131.88.126187.131.88.127126
178187.131.88.128/25187.131.88.129 to 187.131.88.254187.131.88.255126
179187.131.89.0/25187.131.89.1 to 187.131.89.126187.131.89.127126
180187.131.89.128/25187.131.89.129 to 187.131.89.254187.131.89.255126
181187.131.90.0/25187.131.90.1 to 187.131.90.126187.131.90.127126
182187.131.90.128/25187.131.90.129 to 187.131.90.254187.131.90.255126
183187.131.91.0/25187.131.91.1 to 187.131.91.126187.131.91.127126
184187.131.91.128/25187.131.91.129 to 187.131.91.254187.131.91.255126
185187.131.92.0/25187.131.92.1 to 187.131.92.126187.131.92.127126
186187.131.92.128/25187.131.92.129 to 187.131.92.254187.131.92.255126
187187.131.93.0/25187.131.93.1 to 187.131.93.126187.131.93.127126
188187.131.93.128/25187.131.93.129 to 187.131.93.254187.131.93.255126
189187.131.94.0/25187.131.94.1 to 187.131.94.126187.131.94.127126
190187.131.94.128/25187.131.94.129 to 187.131.94.254187.131.94.255126
191187.131.95.0/25187.131.95.1 to 187.131.95.126187.131.95.127126
192187.131.95.128/25187.131.95.129 to 187.131.95.254187.131.95.255126
193187.131.96.0/25187.131.96.1 to 187.131.96.126187.131.96.127126
194187.131.96.128/25187.131.96.129 to 187.131.96.254187.131.96.255126
195187.131.97.0/25187.131.97.1 to 187.131.97.126187.131.97.127126
196187.131.97.128/25187.131.97.129 to 187.131.97.254187.131.97.255126
197187.131.98.0/25187.131.98.1 to 187.131.98.126187.131.98.127126
198187.131.98.128/25187.131.98.129 to 187.131.98.254187.131.98.255126
199187.131.99.0/25187.131.99.1 to 187.131.99.126187.131.99.127126
200187.131.99.128/25187.131.99.129 to 187.131.99.254187.131.99.255126
201187.131.100.0/25187.131.100.1 to 187.131.100.126187.131.100.127126
202187.131.100.128/25187.131.100.129 to 187.131.100.254187.131.100.255126
203187.131.101.0/25187.131.101.1 to 187.131.101.126187.131.101.127126
204187.131.101.128/25187.131.101.129 to 187.131.101.254187.131.101.255126
205187.131.102.0/25187.131.102.1 to 187.131.102.126187.131.102.127126
206187.131.102.128/25187.131.102.129 to 187.131.102.254187.131.102.255126
207187.131.103.0/25187.131.103.1 to 187.131.103.126187.131.103.127126
208187.131.103.128/25187.131.103.129 to 187.131.103.254187.131.103.255126
209187.131.104.0/25187.131.104.1 to 187.131.104.126187.131.104.127126
210187.131.104.128/25187.131.104.129 to 187.131.104.254187.131.104.255126
211187.131.105.0/25187.131.105.1 to 187.131.105.126187.131.105.127126
212187.131.105.128/25187.131.105.129 to 187.131.105.254187.131.105.255126
213187.131.106.0/25187.131.106.1 to 187.131.106.126187.131.106.127126
214187.131.106.128/25187.131.106.129 to 187.131.106.254187.131.106.255126
215187.131.107.0/25187.131.107.1 to 187.131.107.126187.131.107.127126
216187.131.107.128/25187.131.107.129 to 187.131.107.254187.131.107.255126
217187.131.108.0/25187.131.108.1 to 187.131.108.126187.131.108.127126
218187.131.108.128/25187.131.108.129 to 187.131.108.254187.131.108.255126
219187.131.109.0/25187.131.109.1 to 187.131.109.126187.131.109.127126
220187.131.109.128/25187.131.109.129 to 187.131.109.254187.131.109.255126
221187.131.110.0/25187.131.110.1 to 187.131.110.126187.131.110.127126
222187.131.110.128/25187.131.110.129 to 187.131.110.254187.131.110.255126
223187.131.111.0/25187.131.111.1 to 187.131.111.126187.131.111.127126
224187.131.111.128/25187.131.111.129 to 187.131.111.254187.131.111.255126
225187.131.112.0/25187.131.112.1 to 187.131.112.126187.131.112.127126
226187.131.112.128/25187.131.112.129 to 187.131.112.254187.131.112.255126
227187.131.113.0/25187.131.113.1 to 187.131.113.126187.131.113.127126
228187.131.113.128/25187.131.113.129 to 187.131.113.254187.131.113.255126
229187.131.114.0/25187.131.114.1 to 187.131.114.126187.131.114.127126
230187.131.114.128/25187.131.114.129 to 187.131.114.254187.131.114.255126
231187.131.115.0/25187.131.115.1 to 187.131.115.126187.131.115.127126
232187.131.115.128/25187.131.115.129 to 187.131.115.254187.131.115.255126
233187.131.116.0/25187.131.116.1 to 187.131.116.126187.131.116.127126
234187.131.116.128/25187.131.116.129 to 187.131.116.254187.131.116.255126
235187.131.117.0/25187.131.117.1 to 187.131.117.126187.131.117.127126
236187.131.117.128/25187.131.117.129 to 187.131.117.254187.131.117.255126
237187.131.118.0/25187.131.118.1 to 187.131.118.126187.131.118.127126
238187.131.118.128/25187.131.118.129 to 187.131.118.254187.131.118.255126
239187.131.119.0/25187.131.119.1 to 187.131.119.126187.131.119.127126
240187.131.119.128/25187.131.119.129 to 187.131.119.254187.131.119.255126
241187.131.120.0/25187.131.120.1 to 187.131.120.126187.131.120.127126
242187.131.120.128/25187.131.120.129 to 187.131.120.254187.131.120.255126
243187.131.121.0/25187.131.121.1 to 187.131.121.126187.131.121.127126
244187.131.121.128/25187.131.121.129 to 187.131.121.254187.131.121.255126
245187.131.122.0/25187.131.122.1 to 187.131.122.126187.131.122.127126
246187.131.122.128/25187.131.122.129 to 187.131.122.254187.131.122.255126
247187.131.123.0/25187.131.123.1 to 187.131.123.126187.131.123.127126
248187.131.123.128/25187.131.123.129 to 187.131.123.254187.131.123.255126
249187.131.124.0/25187.131.124.1 to 187.131.124.126187.131.124.127126
250187.131.124.128/25187.131.124.129 to 187.131.124.254187.131.124.255126
251187.131.125.0/25187.131.125.1 to 187.131.125.126187.131.125.127126
252187.131.125.128/25187.131.125.129 to 187.131.125.254187.131.125.255126
253187.131.126.0/25187.131.126.1 to 187.131.126.126187.131.126.127126
254187.131.126.128/25187.131.126.129 to 187.131.126.254187.131.126.255126
255187.131.127.0/25187.131.127.1 to 187.131.127.126187.131.127.127126
256187.131.127.128/25187.131.127.129 to 187.131.127.254187.131.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses